Index: code/trunk/src/modules/notifications/NotificationQueue.cc
===================================================================
--- code/trunk/src/modules/notifications/NotificationQueue.cc	(revision 8857)
+++ code/trunk/src/modules/notifications/NotificationQueue.cc	(revision 8858)
@@ -131,9 +131,9 @@
         {
             this->registered_ = false;
-            COUT(1) << "Error: NotificationQueue '" << this->getName() << "' could not be registered." << std::endl;
+            orxout(internal_error, context::notifications) << "NotificationQueue '" << this->getName() << "' could not be registered." << endl;
             return;
         }
 
-        COUT(3) << "NotificationQueue '" << this->getName() << "' created." << std::endl;
+        orxout(internal_info, context::notifications) << "NotificationQueue '" << this->getName() << "' created." << endl;
     }
 
@@ -215,5 +215,5 @@
         delete notifications;
 
-        COUT(4) << "NotificationQueue '" << this->getName() << "' updated." << std::endl;
+        orxout(verbose, context::notifications) << "NotificationQueue '" << this->getName() << "' updated." << endl;
     }
 
@@ -232,5 +232,5 @@
         this->push(notification, time);
 
-        COUT(4) << "NotificationQueue '" << this->getName() << "' updated. A new Notification has been added." << std::endl;
+        orxout(verbose, context::notifications) << "NotificationQueue '" << this->getName() << "' updated. A new Notification has been added." << endl;
     }
 
@@ -265,6 +265,6 @@
         this->notificationPushed(notification);
 
-        COUT(5) << "Notification \"" << notification->getMessage() << "\" pushed to NotificationQueue '" << this->getName() << "'" << endl;
-        COUT(3) << "NotificationQueue \"" << this->getName() << "\": " << notification->getMessage() << endl;
+        orxout(verbose_more, context::notifications) << "Notification \"" << notification->getMessage() << "\" pushed to NotificationQueue '" << this->getName() << "'" << endl;
+        orxout(internal_info, context::notifications) << "NotificationQueue \"" << this->getName() << "\": " << notification->getMessage() << endl;
     }
 
@@ -284,5 +284,5 @@
             if(container == *it)
             {
-                COUT(5) << "Notification \"" << (*it)->notification->getMessage() << "\" popped from NotificationQueue '" << this->getName() << "'" << endl;
+                orxout(verbose_more, context::notifications) << "Notification \"" << (*it)->notification->getMessage() << "\" popped from NotificationQueue '" << this->getName() << "'" << endl;
                 this->ordering_.erase(it);
                 break;
@@ -311,5 +311,5 @@
         std::vector<NotificationContainer*>::difference_type index = it - this->notifications_.begin ();
 
-        COUT(5) << "Notification \"" << (*it)->notification->getMessage() << "\" removed from NotificationQueue '" << this->getName() << "'" << endl;
+        orxout(verbose_more, context::notifications) << "Notification \"" << (*it)->notification->getMessage() << "\" removed from NotificationQueue '" << this->getName() << "'" << endl;
 
         this->ordering_.erase(containerIterator);
@@ -333,5 +333,5 @@
     void NotificationQueue::clear(bool noGraphics)
     {
-        COUT(4) << "Clearing NotificationQueue " << this->getName() << "." << endl;
+        orxout(verbose, context::notifications) << "Clearing NotificationQueue " << this->getName() << "." << endl;
         this->ordering_.clear();
         // Delete all NotificationContainers in the list.
@@ -367,5 +367,5 @@
         if(size == 0)
         {
-            COUT(2) << "Trying to set maximal size of NotificationQueue '" << this->getName() << "' to 0. Ignoring..." << endl;
+            orxout(internal_warning, context::notifications) << "Trying to set maximal size of NotificationQueue '" << this->getName() << "' to 0. Ignoring..." << endl;
             return;
         }
@@ -398,5 +398,5 @@
         if(time != NotificationQueue::INF && time <= 0)
         {
-            COUT(2) << "Trying to set display time of NotificationQueue '" << this->getName() << "' to non-positive value. Ignoring..." << endl;
+            orxout(internal_warning, context::notifications) << "Trying to set display time of NotificationQueue '" << this->getName() << "' to non-positive value. Ignoring..." << endl;
         }
             
Index: code/trunk/src/modules/notifications/NotificationQueueCEGUI.cc
===================================================================
--- code/trunk/src/modules/notifications/NotificationQueueCEGUI.cc	(revision 8857)
+++ code/trunk/src/modules/notifications/NotificationQueueCEGUI.cc	(revision 8858)
@@ -143,5 +143,5 @@
         if(size.x < 0.0 || size.x > 1.0 || size.z < 0.0 || size.z > 1.0)
         {
-            COUT(2) << "The display size of the NotificationQueueCEGUI " << this->getName() << " was trying to be set, but the relative size was not in [0,1]. Aborting..." << endl;
+            orxout(internal_warning, context::notifications) << "The display size of the NotificationQueueCEGUI " << this->getName() << " was trying to be set, but the relative size was not in [0,1]. Aborting..." << endl;
             return;
         }
@@ -183,5 +183,5 @@
         if(position.x < 0.0 || position.x > 1.0 || position.z < 0.0 || position.z > 1.0)
         {
-            COUT(2) << "The position the NotificationQueueCEGUI " << this->getName() << " was trying to be set, but the relative position was not in [0,1]. Aborting..." << endl;
+            orxout(internal_warning, context::notifications) << "The position the NotificationQueueCEGUI " << this->getName() << " was trying to be set, but the relative position was not in [0,1]. Aborting..." << endl;
             return;
         }
Index: code/trunk/src/modules/objects/ForceField.cc
===================================================================
--- code/trunk/src/modules/objects/ForceField.cc	(revision 8857)
+++ code/trunk/src/modules/objects/ForceField.cc	(revision 8858)
@@ -216,5 +216,5 @@
         else
         {
-            COUT(2) << "Wrong mode '" << mode << "' in ForceField. Setting to 'tube'." << std::endl;
+            orxout(internal_warning) << "Wrong mode '" << mode << "' in ForceField. Setting to 'tube'." << endl;
             this->mode_ = forceFieldMode::tube;
         }
Index: code/trunk/src/modules/objects/Planet.cc
===================================================================
--- code/trunk/src/modules/objects/Planet.cc	(revision 8857)
+++ code/trunk/src/modules/objects/Planet.cc	(revision 8858)
@@ -73,5 +73,5 @@
             {
                 float distance = this->getPosition().distance( activeCamera->getWorldPosition() );
-                //             COUT(2) << distance << std::endl;
+                //             orxout(internal_warning) << distance << endl;
                 float planetRadius = this->getScale();
 
Index: code/trunk/src/modules/objects/Script.cc
===================================================================
--- code/trunk/src/modules/objects/Script.cc	(revision 8857)
+++ code/trunk/src/modules/objects/Script.cc	(revision 8858)
@@ -137,5 +137,5 @@
             return false;
 
-        COUT(4) << "Script (&" << this << ") triggered." << std::endl;
+        orxout(verbose, context::misc::script) << "Script (&" << this << ") triggered." << endl;
 
         PlayerTrigger* pTrigger = orxonox_cast<PlayerTrigger*>(trigger);
@@ -155,5 +155,5 @@
         if(player == NULL)  //TODO: Will this ever happen? If not, change in NotificationDispatcher as well.
         {
-            COUT(4) << "The Script was triggered by an entity other than a Pawn. (" << trigger->getIdentifier()->getName() << ")" << std::endl;
+            orxout(internal_warning) << "The Script was triggered by an entity other than a Pawn. (" << trigger->getIdentifier()->getName() << ")" << endl;
             return false;
         }
@@ -272,5 +272,5 @@
         else
         {
-            COUT(2) << "Invalid mode '" << mode << "' in Script object. Setting to 'normal'." << std::endl;
+            orxout(internal_warning) << "Invalid mode '" << mode << "' in Script object. Setting to 'normal'." << endl;
             this->setMode(ScriptMode::normal);
             this->modeStr_ = Script::NORMAL;
@@ -323,5 +323,5 @@
         else
         {
-            COUT(2) << "Invalid times '" << times << "' in Script. Setting to infinity." << std::endl;
+            orxout(internal_warning) << "Invalid times '" << times << "' in Script. Setting to infinity." << endl;
             this->times_ = Script::INF;
             this->remainingExecutions_ = Script::INF;
Index: code/trunk/src/modules/objects/SpaceBoundaries.cc
===================================================================
--- code/trunk/src/modules/objects/SpaceBoundaries.cc	(revision 8857)
+++ code/trunk/src/modules/objects/SpaceBoundaries.cc	(revision 8858)
@@ -215,5 +215,5 @@
                 distance = this->computeDistance(currentPawn);
                 humanItem = this->isHumanPlayer(currentPawn);
-                COUT(5) << "Distance:" << distance << std::endl; // message for debugging
+//                orxout() << "Distance:" << distance << endl; // message for debugging
                 if(distance > this->warnDistance_ && distance < this->maxDistance_) // Display warning
                 {
@@ -231,5 +231,5 @@
                     if( humanItem )
                     {
-                        COUT(5) << "Health should be decreasing!" << std::endl;
+//                        orxout() << "Health should be decreasing!" << endl;
                         this->displayWarning("You are out of the area now!");
                     }
Index: code/trunk/src/modules/objects/collisionshapes/BoxCollisionShape.cc
===================================================================
--- code/trunk/src/modules/objects/collisionshapes/BoxCollisionShape.cc	(revision 8857)
+++ code/trunk/src/modules/objects/collisionshapes/BoxCollisionShape.cc	(revision 8858)
@@ -93,5 +93,5 @@
         if(!this->hasUniformScaling())
         {
-            CCOUT(1) << "Error: Non-uniform scaling is not yet supported." << endl;
+            orxout(internal_error) << "BoxCollisionShape: Non-uniform scaling is not yet supported." << endl;
             return;
         }
Index: code/trunk/src/modules/objects/collisionshapes/ConeCollisionShape.cc
===================================================================
--- code/trunk/src/modules/objects/collisionshapes/ConeCollisionShape.cc	(revision 8857)
+++ code/trunk/src/modules/objects/collisionshapes/ConeCollisionShape.cc	(revision 8858)
@@ -92,5 +92,5 @@
         if(!this->hasUniformScaling())
         {
-            CCOUT(1) << "Error: Non-uniform scaling is not yet supported." << endl;
+            orxout(internal_error) << "ConeCollisionShape: Non-uniform scaling is not yet supported." << endl;
             return;
         }
Index: code/trunk/src/modules/objects/collisionshapes/PlaneCollisionShape.cc
===================================================================
--- code/trunk/src/modules/objects/collisionshapes/PlaneCollisionShape.cc	(revision 8857)
+++ code/trunk/src/modules/objects/collisionshapes/PlaneCollisionShape.cc	(revision 8858)
@@ -92,5 +92,5 @@
         if(!this->hasUniformScaling())
         {
-            CCOUT(1) << "Error: Non-uniform scaling is not yet supported." << endl;
+            orxout(internal_error) << "PlaneCollisionShape: Non-uniform scaling is not yet supported." << endl;
             return;
         }
Index: code/trunk/src/modules/objects/collisionshapes/SphereCollisionShape.cc
===================================================================
--- code/trunk/src/modules/objects/collisionshapes/SphereCollisionShape.cc	(revision 8857)
+++ code/trunk/src/modules/objects/collisionshapes/SphereCollisionShape.cc	(revision 8858)
@@ -89,5 +89,5 @@
         if(!this->hasUniformScaling())
         {
-            CCOUT(1) << "Error: Non-uniform scaling is not yet supported." << endl;
+            orxout(internal_error) << "SphereCollisionShape: Non-uniform scaling is not yet supported." << endl;
             return;
         }
Index: code/trunk/src/modules/objects/eventsystem/EventFilter.cc
===================================================================
--- code/trunk/src/modules/objects/eventsystem/EventFilter.cc	(revision 8857)
+++ code/trunk/src/modules/objects/eventsystem/EventFilter.cc	(revision 8858)
@@ -63,5 +63,5 @@
         if (this->bActive_)
         {
-            COUT(2) << "Warning: Detected Event loop in EventFilter \"" << this->getName() << '"' << std::endl;
+            orxout(internal_warning, context::events) << "Detected Event loop in EventFilter \"" << this->getName() << '"' << endl;
             return;
         }
Index: code/trunk/src/modules/objects/eventsystem/EventListener.cc
===================================================================
--- code/trunk/src/modules/objects/eventsystem/EventListener.cc	(revision 8857)
+++ code/trunk/src/modules/objects/eventsystem/EventListener.cc	(revision 8858)
@@ -59,9 +59,9 @@
         if (this->bActive_)
         {
-            COUT(2) << "Warning: Detected Event loop in EventListener \"" << this->getName() << '"' << std::endl;
+            orxout(internal_warning, context::events) << "Detected Event loop in EventListener \"" << this->getName() << '"' << endl;
             return;
         }
 
-        COUT(4) << "EventListener, processing event: originator: " << event.originator_->getIdentifier()->getName() << " (&" << event.originator_ << ")" << ", activate: " << event.activate_ << ", name: " << event.name_ << std::endl;
+        orxout(verbose, context::events) << "EventListener, processing event: originator: " << event.originator_->getIdentifier()->getName() << " (&" << event.originator_ << ")" << ", activate: " << event.activate_ << ", name: " << event.name_ << endl;
 
         this->bActive_ = true;
Index: code/trunk/src/modules/objects/eventsystem/EventTarget.cc
===================================================================
--- code/trunk/src/modules/objects/eventsystem/EventTarget.cc	(revision 8857)
+++ code/trunk/src/modules/objects/eventsystem/EventTarget.cc	(revision 8858)
@@ -60,5 +60,5 @@
         if (this->bActive_)
         {
-            COUT(2) << "Warning: Detected Event loop in EventTarget \"" << this->getName() << '"' << std::endl;
+            orxout(internal_warning, context::events) << "Detected Event loop in EventTarget \"" << this->getName() << '"' << endl;
             return;
         }
Index: code/trunk/src/modules/objects/triggers/DistanceMultiTrigger.cc
===================================================================
--- code/trunk/src/modules/objects/triggers/DistanceMultiTrigger.cc	(revision 8857)
+++ code/trunk/src/modules/objects/triggers/DistanceMultiTrigger.cc	(revision 8858)
@@ -247,5 +247,5 @@
             this->setBeaconModeDirect(distanceMultiTriggerBeaconMode::exclude);
         else
-            COUT(1) << "Invalid beacon mode in DistanceMultiTrigger." << endl;
+            orxout(internal_error, context::triggers) << "Invalid beacon mode in DistanceMultiTrigger." << endl;
     }
 
Index: code/trunk/src/modules/objects/triggers/DistanceTrigger.cc
===================================================================
--- code/trunk/src/modules/objects/triggers/DistanceTrigger.cc	(revision 8857)
+++ code/trunk/src/modules/objects/triggers/DistanceTrigger.cc	(revision 8858)
@@ -108,5 +108,5 @@
         if (targetId == NULL)
         {
-            COUT(1) << "Error: \"" << targetStr << "\" is not a valid class name to include in ClassTreeMask (in " << this->getName() << ", class " << this->getIdentifier()->getName() << ')' << std::endl;
+            orxout(internal_error, context::triggers) << "\"" << targetStr << "\" is not a valid class name to include in ClassTreeMask (in " << this->getName() << ", class " << this->getIdentifier()->getName() << ')' << endl;
             return;
         }
@@ -209,5 +209,5 @@
                         this->setTriggeringPawn(pawn);
                     else
-                        CCOUT(2) << "Pawn was NULL." << endl;
+                        orxout(internal_warning, context::triggers) << "Pawn was NULL." << endl;
                 }
                 
@@ -270,5 +270,5 @@
             this->setBeaconModeDirect(distanceTriggerBeaconMode::exclude);
         else
-            COUT(1) << "Invalid beacon mode in DistanceTrigger." << endl;
+            orxout(internal_error, context::triggers) << "Invalid beacon mode in DistanceTrigger." << endl;
     }
 
Index: code/trunk/src/modules/objects/triggers/MultiTrigger.cc
===================================================================
--- code/trunk/src/modules/objects/triggers/MultiTrigger.cc	(revision 8857)
+++ code/trunk/src/modules/objects/triggers/MultiTrigger.cc	(revision 8858)
@@ -72,5 +72,5 @@
     MultiTrigger::~MultiTrigger()
     {
-        COUT(4) << "Destroying MultiTrigger &" << this << ". " << this->stateQueue_.size() << " states still in queue. Deleting." << std::endl;
+        orxout(verbose, context::triggers) << "Destroying MultiTrigger &" << this << ". " << this->stateQueue_.size() << " states still in queue. Deleting." << endl;
         while(this->stateQueue_.size() > 0)
         {
@@ -94,5 +94,5 @@
         XMLPortParamLoadOnly(MultiTrigger, "target", addTarget, xmlelement, mode).defaultValues("Pawn"); //TODO: Remove load only
 
-        COUT(4) << "MultiTrigger '" << this->getName() << "' (&" << this << ") created." << std::endl;
+        orxout(verbose, context::triggers) << "MultiTrigger '" << this->getName() << "' (&" << this << ") created." << endl;
     }
 
@@ -132,5 +132,5 @@
                 if(state == NULL)
                 {
-                    COUT(1) << "In MultiTrigger '" << this->getName() << "' (&" << this << "), Error: State of new states queue was NULL. State ignored." << std::endl;
+                    orxout(internal_error, context::triggers) << "In MultiTrigger '" << this->getName() << "' (&" << this << "), Error: State of new states queue was NULL. State ignored." << endl;
                     queue->pop();
                     continue;
@@ -241,7 +241,7 @@
                             // Print some debug output if the state has changed.
                             if(state->originator != NULL)
-                                COUT(4) << "MultiTrigger '" << this->getName() << "' (&" << this << ") changed state. originator: " << state->originator->getIdentifier()->getName() << " (&" << state->originator << "), active: " << bActive << ", triggered: " << state->bTriggered << "." << std::endl;
+                                orxout(verbose, context::triggers) << "MultiTrigger '" << this->getName() << "' (&" << this << ") changed state. originator: " << state->originator->getIdentifier()->getName() << " (&" << state->originator << "), active: " << bActive << ", triggered: " << state->bTriggered << "." << endl;
                             else
-                                COUT(4) << "MultiTrigger '" << this->getName() << "' (&" << this << ") changed state. originator: NULL, active: " << bActive << ", triggered: " << state->bTriggered << "." << std::endl;
+                                orxout(verbose, context::triggers) << "MultiTrigger '" << this->getName() << "' (&" << this << ") changed state. originator: NULL, active: " << bActive << ", triggered: " << state->bTriggered << "." << endl;
 
                             // If the MultiTrigger has a parent trigger, that is itself a MultiTrigger, it needs to call a method to notify him, that its activity has changed.
@@ -254,5 +254,5 @@
                         {
                             this->BaseObject::setActive(false);
-                            COUT(4) << "MultiTrigger '" << this->getName() << "' (&" << this << ") ran out of activations. Setting it to inactive." << std::endl;
+                            orxout(verbose, context::triggers) << "MultiTrigger '" << this->getName() << "' (&" << this << ") ran out of activations. Setting it to inactive." << endl;
                         }
                     }
@@ -301,5 +301,5 @@
         if (target == NULL)
         {
-            COUT(1) << "Error: '" << targetStr << "' is not a valid class name to include in ClassTreeMask (in " << this->getName() << ", class " << this->getIdentifier()->getName() << ")" << std::endl;
+            orxout(internal_error, context::triggers) << "'" << targetStr << "' is not a valid class name to include in ClassTreeMask (in " << this->getName() << ", class " << this->getIdentifier()->getName() << ")" << endl;
             return;
         }
@@ -329,5 +329,5 @@
         if (target == NULL)
         {
-            COUT(1) << "Error: '" << targetStr << "' is not a valid class name to include in ClassTreeMask (in " << this->getName() << ", class " << this->getIdentifier()->getName() << ")" << std::endl;
+            orxout(internal_error, context::triggers) << "'" << targetStr << "' is not a valid class name to include in ClassTreeMask (in " << this->getName() << ", class " << this->getIdentifier()->getName() << ")" << endl;
             return;
         }
@@ -447,5 +447,5 @@
         {
             this->fireEvent(status);
-            COUT(4) << "MultiTrigger '" <<  this->getName() << "' (&" << this << "): Fired event. status: " << status << "." << std::endl;
+            orxout(verbose, context::triggers) << "MultiTrigger '" <<  this->getName() << "' (&" << this << "): Fired event. status: " << status << "." << endl;
             return;
         }
@@ -453,5 +453,5 @@
         MultiTriggerContainer* container = new MultiTriggerContainer(this, this, originator);
         this->fireEvent(status, container);
-        COUT(4) << "MultiTrigger '" <<  this->getName() << "' (&" << this << "): Fired event. originator: " << originator->getIdentifier()->getName() << " (&" << originator << "), status: " << status << "." << std::endl;
+        orxout(verbose, context::triggers) << "MultiTrigger '" <<  this->getName() << "' (&" << this << "): Fired event. originator: " << originator->getIdentifier()->getName() << " (&" << originator << "), status: " << status << "." << endl;
         delete container;
     }
Index: code/trunk/src/modules/objects/triggers/TriggerBase.cc
===================================================================
--- code/trunk/src/modules/objects/triggers/TriggerBase.cc	(revision 8857)
+++ code/trunk/src/modules/objects/triggers/TriggerBase.cc	(revision 8858)
@@ -128,5 +128,5 @@
             this->setMode(TriggerMode::EventTriggerXOR);
         else
-            COUT(2) << "Invalid mode '" << modeName << "' in TriggerBase " << this->getName() << " &(" << this << "). Leaving mode at '" << this->getModeString() << "'." << std::endl;
+            orxout(internal_warning, context::triggers) << "Invalid mode '" << modeName << "' in TriggerBase " << this->getName() << " &(" << this << "). Leaving mode at '" << this->getModeString() << "'." << endl;
     }
 
Index: code/trunk/src/modules/overlays/GUIOverlay.cc
===================================================================
--- code/trunk/src/modules/overlays/GUIOverlay.cc	(revision 8857)
+++ code/trunk/src/modules/overlays/GUIOverlay.cc	(revision 8858)
@@ -76,10 +76,10 @@
             GUIManager::getInstance().showGUIExtra(this->guiName_, str);
 
-            COUT(4) << "Showing GUI " << this->guiName_ << std::endl;
+            orxout(verbose, context::misc::gui) << "Showing GUI " << this->guiName_ << endl;
         }
         else
         {
             GUIManager::hideGUI(this->guiName_);
-            COUT(4) << "Hiding GUI " << this->guiName_ << std::endl;
+            orxout(verbose, context::misc::gui) << "Hiding GUI " << this->guiName_ << endl;
         }
     }
Index: code/trunk/src/modules/overlays/hud/ChatOverlay.cc
===================================================================
--- code/trunk/src/modules/overlays/hud/ChatOverlay.cc	(revision 8857)
+++ code/trunk/src/modules/overlays/hud/ChatOverlay.cc	(revision 8858)
@@ -67,25 +67,7 @@
     }
 
-    void ChatOverlay::incomingChat(const std::string& message, unsigned int senderID)
+    void ChatOverlay::incomingChat(const std::string& message, const std::string& /*name*/)
     {
-        std::string text;
-
-        if (senderID != NETWORK_PEER_ID_UNKNOWN)
-        {
-            std::string name = "unknown";
-
-            PlayerInfo* player = PlayerManager::getInstance().getClient(senderID);
-            if (player)
-                name = player->getName();
-
-            text = name + ": " + message;
-        }
-        else
-        {
-            text = message;
-        }
-
-        this->messages_.push_back(multi_cast<Ogre::DisplayString>(text));
-        COUT(0) << "Chat: " << text << std::endl;
+        this->messages_.push_back(multi_cast<Ogre::DisplayString>(message));
 
         Timer* timer = new Timer();
@@ -110,5 +92,5 @@
         this->text_->setCaption("");
 
-        for (std::list<Ogre::DisplayString>::reverse_iterator it = this->messages_.rbegin(); it != this->messages_.rend(); ++it)
+        for (std::list<Ogre::DisplayString>::iterator it = this->messages_.begin(); it != this->messages_.end(); ++it)
         {
             this->text_->setCaption(this->text_->getCaption() + "\n" + (*it));
Index: code/trunk/src/modules/overlays/hud/ChatOverlay.h
===================================================================
--- code/trunk/src/modules/overlays/hud/ChatOverlay.h	(revision 8857)
+++ code/trunk/src/modules/overlays/hud/ChatOverlay.h	(revision 8858)
@@ -35,5 +35,5 @@
 #include <OgreOverlayElement.h>
 
-#include "network/ChatListener.h"
+#include "chat/ChatListener.h"
 #include "overlays/OverlayText.h"
 
@@ -49,5 +49,5 @@
 
         protected:
-            virtual void incomingChat(const std::string& message, unsigned int senderID);
+            virtual void incomingChat(const std::string& message, const std::string& name);
 
             std::list<Ogre::DisplayString> messages_;
Index: code/trunk/src/modules/overlays/hud/HUDNavigation.cc
===================================================================
--- code/trunk/src/modules/overlays/hud/HUDNavigation.cc	(revision 8857)
+++ code/trunk/src/modules/overlays/hud/HUDNavigation.cc	(revision 8858)
@@ -105,5 +105,5 @@
     if ( fontPtr.isNull() )
     {
-        COUT ( 2 ) << "Warning: HUDNavigation: Font '" << font << "' not found" << std::endl;
+        orxout(internal_warning) << "HUDNavigation: Font '" << font << "' not found" << endl;
         return;
     }
@@ -125,5 +125,5 @@
     if ( size <= 0.0f )
     {
-        COUT ( 2 ) << "Warning: HUDNavigation: Negative font size not allowed" << std::endl;
+        orxout(internal_warning) << "HUDNavigation: Negative font size not allowed" << endl;
         return;
     }
Index: code/trunk/src/modules/overlays/hud/HUDRadar.cc
===================================================================
--- code/trunk/src/modules/overlays/hud/HUDRadar.cc	(revision 8857)
+++ code/trunk/src/modules/overlays/hud/HUDRadar.cc	(revision 8858)
@@ -160,5 +160,5 @@
             if( !wePointer )
             {
-                CCOUT(0) << "Cannot display a non-WorldEntitiy on the radar" << std::endl;
+                orxout(internal_error) << "Cannot display a non-WorldEntitiy on the radar" << endl;
                 assert(0);
             }
Index: code/trunk/src/modules/pickup/Pickup.cc
===================================================================
--- code/trunk/src/modules/pickup/Pickup.cc	(revision 8857)
+++ code/trunk/src/modules/pickup/Pickup.cc	(revision 8858)
@@ -169,5 +169,5 @@
         else
         {
-            COUT(1) << "Invalid activationType '" << type << "' in pickup." << std::endl;
+            orxout(internal_error, context::pickups) << "Invalid activationType '" << type << "' in pickup." << endl;
         }
     }
@@ -191,5 +191,5 @@
         else
         {
-            COUT(1) << "Invalid durationType '" << type << "' in pickup." << std::endl;
+            orxout(internal_error, context::pickups) << "Invalid durationType '" << type << "' in pickup." << endl;
         }
     }
Index: code/trunk/src/modules/pickup/PickupManager.cc
===================================================================
--- code/trunk/src/modules/pickup/PickupManager.cc	(revision 8857)
+++ code/trunk/src/modules/pickup/PickupManager.cc	(revision 8858)
@@ -72,5 +72,5 @@
         this->defaultRepresentation_ = new PickupRepresentation();
 
-        COUT(3) << "PickupManager created." << std::endl;
+        orxout(internal_info, context::pickups) << "PickupManager created." << endl;
     }
 
@@ -101,5 +101,5 @@
         this->indexes_.clear();
 
-        COUT(3) << "PickupManager destroyed." << std::endl;
+        orxout(internal_info, context::pickups) << "PickupManager destroyed." << endl;
     }
 
@@ -126,5 +126,5 @@
         this->representations_[identifier] = representation;
 
-        COUT(4) << "PickupRepresentation &" << representation << " registered with the PickupManager." << std::endl;
+        orxout(verbose, context::pickups) << "PickupRepresentation &" << representation << " registered with the PickupManager." << endl;
         return true;
     }
@@ -151,5 +151,5 @@
         this->representations_.erase(it);
 
-        COUT(4) << "PickupRepresentation &" << representation << " unregistered with the PickupManager." << std::endl;
+        orxout(verbose, context::pickups) << "PickupRepresentation &" << representation << " unregistered with the PickupManager." << endl;
         return true;
     }
@@ -208,5 +208,5 @@
         if(it == this->representations_.end()) // If there is no PickupRepresentation associated with the input PickupIdentifier.
         {
-            COUT(4) << "PickupManager::getRepresentation() returned default representation." << std::endl;
+            orxout(verbose, context::pickups) << "PickupManager::getRepresentation() returned default representation." << endl;
             return this->defaultRepresentation_;
         }
@@ -284,5 +284,5 @@
         if(manager.pickupInventoryContainers_.find(pickup) == manager.pickupInventoryContainers_.end())
         {
-            COUT(1) << "Error: Pickupable &(" << pickup << ") was not registered with PickupManager for the PickupInventory, when it changed used." << std::endl;
+            orxout(internal_error, context::pickups) << "Pickupable &(" << pickup << ") was not registered with PickupManager for the PickupInventory, when it changed used." << endl;
             return;
         }
